Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX19.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX19.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX19.m	(revision 636)
@@ -1,56 +1,32 @@
-IBXX19 ; COMPILED XREF FOR FILE #399.0222 ; 07/22/08
+IBXX19 ; COMPILED XREF FOR FILE #399.0304 ; 12/27/07
  ; 
- S DA(1)=DA S DA=0
+ S DA=0
 A1 ;
  I $D(DISET) K DIKLM S:DIKM1=1 DIKLM=1 G @DIKM1
 0 ;
-A S DA=$O(^DGCR(399,DA(1),"PRV",DA)) I DA'>0 S DA=0 G END
+A S DA=$O(^DGCR(399,DA(1),"CP",DA)) I DA'>0 S DA=0 G END
 1 ;
- S DIKZ(0)=$G(^DGCR(399,DA(1),"PRV",DA,0))
+ S DIKZ(0)=$G(^DGCR(399,DA(1),"CP",DA,0))
  S X=$P(DIKZ(0),U,1)
- I X'="" S ^DGCR(399,DA(1),"PRV","B",$E(X,1,30),DA)=""
+ I X'="" S ^DGCR(399,DA(1),"CP","B",$E(X,1,30),DA)=""
  S X=$P(DIKZ(0),U,1)
+ I X'="" I $P(X,";",2)="ICPT(",$D(^DGCR(399,DA(1),"CP",DA,0)),$P(^(0),"^",2) S ^DGCR(399,"ASD",-$P(^(0),"^",2),+X,DA(1),DA)=""
+ S X=$P(DIKZ(0),U,2)
+ I X'="" I $D(^DGCR(399,DA(1),"CP",DA,0)),+^(0),$P($P(^(0),"^",1),";",2)="ICPT(" S ^DGCR(399,"ASD",-X,+^(0),DA(1),DA)=""
+ S X=$P(DIKZ(0),U,4)
+ I X'="" S ^DGCR(399,DA(1),"CP","D",$E(X,1,30),DA)=""
+ S X=$P(DIKZ(0),U,5)
+ I X'="" S DGRVRCAL=1
+ S X=$P(DIKZ(0),U,5)
+ I X'="" S ^DGCR(399,DA(1),"CP","ASC",$E(X,1,30),DA)=""
+ S X=$P(DIKZ(0),U,7)
  I X'="" D
  .N DIK,DIV,DIU,DIN
- .K DIV S DIV=X,D0=DA(1),DIV(0)=D0,D1=DA,DIV(1)=D1 S Y(0)=X S X=Y(0),X=X S X=X'=1 I X S X=DIV S Y(1)=$S($D(^DGCR(399,D0,"PRV",D1,0)):^(0),1:"") S X=$P(Y(1),U,4),X=X S DIU=X K Y S X="" X ^DD(399.0222,.01,1,2,1.4)
- S X=$P(DIKZ(0),U,1)
- I X'="" S ^DGCR(399,DA(1),"PRV","C",$E($$EXTERNAL^DILFD(399.0222,.01,,X),1,30),DA)=""
- S X=$P(DIKZ(0),U,1)
- I X'="" S ^DGCR(399,DA(1),"PRV","C",$$LOW^XLFSTR($E($$EXTERNAL^DILFD(399.0222,.01,,X),1,30)),DA)=""
- S DIKZ(0)=$G(^DGCR(399,DA(1),"PRV",DA,0))
- S X=$P(DIKZ(0),U,2)
+ .K DIV S DIV=X,D0=DA(1),DIV(0)=D0,D1=DA,DIV(1)=D1 S Y(1)=$S($D(^DGCR(399,D0,"CP",D1,0)):^(0),1:"") S X=$P(Y(1),U,6),X=X S DIU=X K Y X ^DD(399.0304,6,1,1,1.1) X ^DD(399.0304,6,1,1,1.4)
+ S DIKZ(0)=$G(^DGCR(399,DA(1),"CP",DA,0))
+ S X=$P(DIKZ(0),U,10)
  I X'="" D
  .N DIK,DIV,DIU,DIN
- .X ^DD(399.0222,.02,1,1,1.3) I X S X=DIV S Y(1)=$S($D(^DGCR(399,D0,"PRV",D1,0)):^(0),1:"") S X=$P(Y(1),U,5),X=X S DIU=X K Y S X="" X ^DD(399.0222,.02,1,1,1.4)
- S X=$P(DIKZ(0),U,2)
- I X'="" D
- .N DIK,DIV,DIU,DIN
- .X ^DD(399.0222,.02,1,2,1.3) I X S X=DIV S Y(1)=$S($D(^DGCR(399,D0,"PRV",D1,0)):^(0),1:"") S X=$P(Y(1),U,3),X=X S DIU=X K Y S X=DIV S X=$$EXTCR^IBCEU5(X) X ^DD(399.0222,.02,1,2,1.4)
- S X=$P(DIKZ(0),U,2)
- I X'="" D
- .N DIK,DIV,DIU,DIN
- .X ^DD(399.0222,.02,1,3,1.3) I X S X=DIV S Y(1)=$S($D(^DGCR(399,D0,"PRV",D1,0)):^(0),1:"") S X=$P(Y(1),U,8),X=X S DIU=X K Y S X=DIV S X=$$SPEC^IBCEU(X) X ^DD(399.0222,.02,1,3,1.4)
- S X=$P(DIKZ(0),U,2)
- I X'="" D
- .N DIK,DIV,DIU,DIN
- .K DIV S DIV=X,D0=DA(1),DIV(0)=D0,D1=DA,DIV(1)=D1 S Y(1)=$S($D(^DGCR(399,D0,"PRV",D1,0)):^(0),1:"") S X=$P(Y(1),U,15),X=X S DIU=X K Y S X=DIV S X=$P($$GETTAX^IBCEF73A(X),U,2) X ^DD(399.0222,.02,1,7,1.4)
- S DIKZ(0)=$G(^DGCR(399,DA(1),"PRV",DA,0))
- S X=$P(DIKZ(0),U,5)
- I X'="" D
- .N DIK,DIV,DIU,DIN
- .K DIV S DIV=X,D0=DA(1),DIV(0)=D0,D1=DA,DIV(1)=D1 S Y(0)=X S X=Y(0)="SLF000" I X S X=DIV S Y(1)=$S($D(^DGCR(399,D0,"PRV",D1,0)):^(0),1:"") S X=$P(Y(1),U,2),X=X S DIU=X K Y S X="" X ^DD(399.0222,.05,1,1,1.4)
- S X=$P(DIKZ(0),U,5)
- I X'="" D ATTREND^IBCU1(DA(1),DA,.05)
- S DIKZ(0)=$G(^DGCR(399,DA(1),"PRV",DA,0))
- S X=$P(DIKZ(0),U,6)
- I X'="" D ATTREND^IBCU1(DA(1),DA,.06)
- S X=$P(DIKZ(0),U,7)
- I X'="" D ATTREND^IBCU1(DA(1),DA,.07)
- S X=$P(DIKZ(0),U,12)
- I X'="" D ATTREND^IBCU1(DA(1),DA,.12)
- S X=$P(DIKZ(0),U,13)
- I X'="" D ATTREND^IBCU1(DA(1),DA,.13)
- S X=$P(DIKZ(0),U,14)
- I X'="" D ATTREND^IBCU1(DA(1),DA,.14)
+ .X ^DD(399.0304,9,1,1,1.3) I X S X=DIV S Y(1)=$S($D(^DGCR(399,D0,"CP",D1,0)):^(0),1:"") S X=$P(Y(1),U,16),X=X S DIU=X K Y S X="" X ^DD(399.0304,9,1,1,1.4)
  G:'$D(DIKLM) A Q:$D(DISET)
 END G ^IBXX20
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX2.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX2.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX2.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX2 ; COMPILED XREF FOR FILE #399.0222 ; 07/22/08
+IBXX2 ; COMPILED XREF FOR FILE #399.0222 ; 12/27/07
  ; 
  I X'="" D
@@ -55,5 +55,5 @@
  . Q:'DIKCOND
  . D:X1(1)'=X2(1)!(X1(5)'=X2(5)) DELID^IBCEP3(DA,1) D:X1(2)'=X2(2)!(X1(4)'=X2(4)) DELID^IBCEP3(DA,2) D:X1(3)'=X2(3)!(X1(6)'=X2(6)) DELID^IBCEP3(DA,3)
-CR2 S DIXR=477
+CR2 S DIXR=430
  K X
  S DIKZ("M")=$G(^DGCR(399,DA,"M"))
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX20.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX20.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX20.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX20 ; COMPILED XREF FOR FILE #399.0304 ; 07/22/08
+IBXX20 ; COMPILED XREF FOR FILE #399.041 ; 12/27/07
  ; 
  S DA=0
@@ -5,28 +5,9 @@
  I $D(DISET) K DIKLM S:DIKM1=1 DIKLM=1 G @DIKM1
 0 ;
-A S DA=$O(^DGCR(399,DA(1),"CP",DA)) I DA'>0 S DA=0 G END
+A S DA=$O(^DGCR(399,DA(1),"OC",DA)) I DA'>0 S DA=0 G END
 1 ;
- S DIKZ(0)=$G(^DGCR(399,DA(1),"CP",DA,0))
+ S DIKZ(0)=$G(^DGCR(399,DA(1),"OC",DA,0))
  S X=$P(DIKZ(0),U,1)
- I X'="" S ^DGCR(399,DA(1),"CP","B",$E(X,1,30),DA)=""
- S X=$P(DIKZ(0),U,1)
- I X'="" I $P(X,";",2)="ICPT(",$D(^DGCR(399,DA(1),"CP",DA,0)),$P(^(0),"^",2) S ^DGCR(399,"ASD",-$P(^(0),"^",2),+X,DA(1),DA)=""
- S X=$P(DIKZ(0),U,2)
- I X'="" I $D(^DGCR(399,DA(1),"CP",DA,0)),+^(0),$P($P(^(0),"^",1),";",2)="ICPT(" S ^DGCR(399,"ASD",-X,+^(0),DA(1),DA)=""
- S X=$P(DIKZ(0),U,4)
- I X'="" S ^DGCR(399,DA(1),"CP","D",$E(X,1,30),DA)=""
- S X=$P(DIKZ(0),U,5)
- I X'="" S DGRVRCAL=1
- S X=$P(DIKZ(0),U,5)
- I X'="" S ^DGCR(399,DA(1),"CP","ASC",$E(X,1,30),DA)=""
- S X=$P(DIKZ(0),U,7)
- I X'="" D
- .N DIK,DIV,DIU,DIN
- .K DIV S DIV=X,D0=DA(1),DIV(0)=D0,D1=DA,DIV(1)=D1 S Y(1)=$S($D(^DGCR(399,D0,"CP",D1,0)):^(0),1:"") S X=$P(Y(1),U,6),X=X S DIU=X K Y X ^DD(399.0304,6,1,1,1.1) X ^DD(399.0304,6,1,1,1.4)
- S DIKZ(0)=$G(^DGCR(399,DA(1),"CP",DA,0))
- S X=$P(DIKZ(0),U,10)
- I X'="" D
- .N DIK,DIV,DIU,DIN
- .X ^DD(399.0304,9,1,1,1.3) I X S X=DIV S Y(1)=$S($D(^DGCR(399,D0,"CP",D1,0)):^(0),1:"") S X=$P(Y(1),U,16),X=X S DIU=X K Y S X="" X ^DD(399.0304,9,1,1,1.4)
+ I X'="" S ^DGCR(399,DA(1),"OC","B",$E(X,1,30),DA)=""
  G:'$D(DIKLM) A Q:$D(DISET)
 END G ^IBXX21
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX21.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX21.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX21.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX21 ; COMPILED XREF FOR FILE #399.041 ; 07/22/08
+IBXX21 ; COMPILED XREF FOR FILE #399.042 ; 12/27/07
  ; 
  S DA=0
@@ -5,9 +5,29 @@
  I $D(DISET) K DIKLM S:DIKM1=1 DIKLM=1 G @DIKM1
 0 ;
-A S DA=$O(^DGCR(399,DA(1),"OC",DA)) I DA'>0 S DA=0 G END
+A S DA=$O(^DGCR(399,DA(1),"RC",DA)) I DA'>0 S DA=0 G END
 1 ;
- S DIKZ(0)=$G(^DGCR(399,DA(1),"OC",DA,0))
+ S DIKZ(0)=$G(^DGCR(399,DA(1),"RC",DA,0))
  S X=$P(DIKZ(0),U,1)
- I X'="" S ^DGCR(399,DA(1),"OC","B",$E(X,1,30),DA)=""
+ I X'="" S ^DGCR(399,DA(1),"RC","B",$E(X,1,30),DA)=""
+ S X=$P(DIKZ(0),U,1)
+ I X'="" I $P(^DGCR(399,DA(1),"RC",DA,0),U,5) S ^DGCR(399,DA(1),"RC","ABS",$P(^DGCR(399,DA(1),"RC",DA,0),U,5),$E(X,1,30),DA)=""
+ S X=$P(DIKZ(0),U,2)
+ I X'="" D 21^IBCU2
+ S X=$P(DIKZ(0),U,3)
+ I X'="" D 31^IBCU2
+ S X=$P(DIKZ(0),U,4)
+ I X'="" S DGXRF=1 D TC^IBCU2 K DGXRF
+ S X=$P(DIKZ(0),U,5)
+ I X'="" S ^DGCR(399,DA(1),"RC","ABS",$E(X,1,30),+^DGCR(399,DA(1),"RC",DA,0),DA)=""
+ S X=$P(DIKZ(0),U,6)
+ I X'="" I $$RC^IBEFUNC1(DA(1),DA) S ^DGCR(399,"ASC1",$E(X,1,30),DA(1),DA)=""
+ S X=$P(DIKZ(0),U,6)
+ I X'="" I $$RC^IBEFUNC1(DA(1),DA) S ^DGCR(399,"ASC2",DA(1),$E(X,1,30),DA)=""
+ S X=$P(DIKZ(0),U,7)
+ I X'="" I $$RC^IBEFUNC1(DA(1),DA) S ^DGCR(399,"ASC1",$P(^DGCR(399,DA(1),"RC",DA,0),U,6),DA(1),DA)=""
+ S X=$P(DIKZ(0),U,7)
+ I X'="" I $$RC^IBEFUNC1(DA(1),DA) S ^DGCR(399,"ASC2",DA(1),$P(^DGCR(399,DA(1),"RC",DA,0),U,6),DA)=""
+ S X=$P(DIKZ(0),U,15)
+ I X'="" S ^DGCR(399,DA(1),"RC","ACP",$E(X,1,30),DA)=""
  G:'$D(DIKLM) A Q:$D(DISET)
 END G ^IBXX22
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX22.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX22.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX22.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX22 ; COMPILED XREF FOR FILE #399.042 ; 07/22/08
+IBXX22 ; COMPILED XREF FOR FILE #399.043 ; 12/27/07
  ; 
  S DA=0
@@ -5,29 +5,11 @@
  I $D(DISET) K DIKLM S:DIKM1=1 DIKLM=1 G @DIKM1
 0 ;
-A S DA=$O(^DGCR(399,DA(1),"RC",DA)) I DA'>0 S DA=0 G END
+A S DA=$O(^DGCR(399,DA(1),"OP",DA)) I DA'>0 S DA=0 G END
 1 ;
- S DIKZ(0)=$G(^DGCR(399,DA(1),"RC",DA,0))
+ S DIKZ(0)=$G(^DGCR(399,DA(1),"OP",DA,0))
  S X=$P(DIKZ(0),U,1)
- I X'="" S ^DGCR(399,DA(1),"RC","B",$E(X,1,30),DA)=""
+ I X'="" S ^DGCR(399,"AOPV",$P(^DGCR(399,DA(1),0),U,2),$E(X,1,30),DA(1))=""
  S X=$P(DIKZ(0),U,1)
- I X'="" I $P(^DGCR(399,DA(1),"RC",DA,0),U,5) S ^DGCR(399,DA(1),"RC","ABS",$P(^DGCR(399,DA(1),"RC",DA,0),U,5),$E(X,1,30),DA)=""
- S X=$P(DIKZ(0),U,2)
- I X'="" D 21^IBCU2
- S X=$P(DIKZ(0),U,3)
- I X'="" D 31^IBCU2
- S X=$P(DIKZ(0),U,4)
- I X'="" S DGXRF=1 D TC^IBCU2 K DGXRF
- S X=$P(DIKZ(0),U,5)
- I X'="" S ^DGCR(399,DA(1),"RC","ABS",$E(X,1,30),+^DGCR(399,DA(1),"RC",DA,0),DA)=""
- S X=$P(DIKZ(0),U,6)
- I X'="" I $$RC^IBEFUNC1(DA(1),DA) S ^DGCR(399,"ASC1",$E(X,1,30),DA(1),DA)=""
- S X=$P(DIKZ(0),U,6)
- I X'="" I $$RC^IBEFUNC1(DA(1),DA) S ^DGCR(399,"ASC2",DA(1),$E(X,1,30),DA)=""
- S X=$P(DIKZ(0),U,7)
- I X'="" I $$RC^IBEFUNC1(DA(1),DA) S ^DGCR(399,"ASC1",$P(^DGCR(399,DA(1),"RC",DA,0),U,6),DA(1),DA)=""
- S X=$P(DIKZ(0),U,7)
- I X'="" I $$RC^IBEFUNC1(DA(1),DA) S ^DGCR(399,"ASC2",DA(1),$P(^DGCR(399,DA(1),"RC",DA,0),U,6),DA)=""
- S X=$P(DIKZ(0),U,15)
- I X'="" S ^DGCR(399,DA(1),"RC","ACP",$E(X,1,30),DA)=""
+ I X'="" S DGRVRCAL=1
  G:'$D(DIKLM) A Q:$D(DISET)
 END G ^IBXX23
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX23.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX23.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX23.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX23 ; COMPILED XREF FOR FILE #399.043 ; 07/22/08
+IBXX23 ; COMPILED XREF FOR FILE #399.044 ; 12/27/07
  ; 
  S DA=0
@@ -5,11 +5,9 @@
  I $D(DISET) K DIKLM S:DIKM1=1 DIKLM=1 G @DIKM1
 0 ;
-A S DA=$O(^DGCR(399,DA(1),"OP",DA)) I DA'>0 S DA=0 G END
+A S DA=$O(^DGCR(399,DA(1),"D1",DA)) I DA'>0 S DA=0 G END
 1 ;
- S DIKZ(0)=$G(^DGCR(399,DA(1),"OP",DA,0))
+ S DIKZ(0)=$G(^DGCR(399,DA(1),"D1",DA,0))
  S X=$P(DIKZ(0),U,1)
- I X'="" S ^DGCR(399,"AOPV",$P(^DGCR(399,DA(1),0),U,2),$E(X,1,30),DA(1))=""
- S X=$P(DIKZ(0),U,1)
- I X'="" S DGRVRCAL=1
+ I X'="" S ^DGCR(399,DA(1),"D1","B",$E(X,1,30),DA)=""
  G:'$D(DIKLM) A Q:$D(DISET)
 END G ^IBXX24
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX24.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX24.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX24.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX24 ; COMPILED XREF FOR FILE #399.044 ; 07/22/08
+IBXX24 ; COMPILED XREF FOR FILE #399.045 ; 12/27/07
  ; 
  S DA=0
@@ -5,9 +5,9 @@
  I $D(DISET) K DIKLM S:DIKM1=1 DIKLM=1 G @DIKM1
 0 ;
-A S DA=$O(^DGCR(399,DA(1),"D1",DA)) I DA'>0 S DA=0 G END
+A S DA=$O(^DGCR(399,DA(1),"D2",DA)) I DA'>0 S DA=0 G END
 1 ;
- S DIKZ(0)=$G(^DGCR(399,DA(1),"D1",DA,0))
+ S DIKZ(0)=$G(^DGCR(399,DA(1),"D2",DA,0))
  S X=$P(DIKZ(0),U,1)
- I X'="" S ^DGCR(399,DA(1),"D1","B",$E(X,1,30),DA)=""
+ I X'="" S ^DGCR(399,DA(1),"D2","B",$E(X,1,30),DA)=""
  G:'$D(DIKLM) A Q:$D(DISET)
 END G ^IBXX25
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX25.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX25.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX25.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX25 ; COMPILED XREF FOR FILE #399.045 ; 07/22/08
+IBXX25 ; COMPILED XREF FOR FILE #399.046 ; 12/27/07
  ; 
  S DA=0
@@ -5,9 +5,11 @@
  I $D(DISET) K DIKLM S:DIKM1=1 DIKLM=1 G @DIKM1
 0 ;
-A S DA=$O(^DGCR(399,DA(1),"D2",DA)) I DA'>0 S DA=0 G END
+A S DA=$O(^DGCR(399,DA(1),"R",DA)) I DA'>0 S DA=0 G END
 1 ;
- S DIKZ(0)=$G(^DGCR(399,DA(1),"D2",DA,0))
+ S DIKZ(0)=$G(^DGCR(399,DA(1),"R",DA,0))
  S X=$P(DIKZ(0),U,1)
- I X'="" S ^DGCR(399,DA(1),"D2","B",$E(X,1,30),DA)=""
+ I X'="" S ^DGCR(399,DA(1),"R","B",$E(X,1,30),DA)=""
+ S X=$P(DIKZ(0),U,4)
+ I X'="" S ^DGCR(399,DA(1),"R","AC",$E(X,1,30),DA)=""
  G:'$D(DIKLM) A Q:$D(DISET)
 END G ^IBXX26
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX26.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX26.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX26.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX26 ; COMPILED XREF FOR FILE #399.046 ; 07/22/08
+IBXX26 ; COMPILED XREF FOR FILE #399.047 ; 12/27/07
  ; 
  S DA=0
@@ -5,11 +5,9 @@
  I $D(DISET) K DIKLM S:DIKM1=1 DIKLM=1 G @DIKM1
 0 ;
-A S DA=$O(^DGCR(399,DA(1),"R",DA)) I DA'>0 S DA=0 G END
+A S DA=$O(^DGCR(399,DA(1),"CV",DA)) I DA'>0 S DA=0 G END
 1 ;
- S DIKZ(0)=$G(^DGCR(399,DA(1),"R",DA,0))
+ S DIKZ(0)=$G(^DGCR(399,DA(1),"CV",DA,0))
  S X=$P(DIKZ(0),U,1)
- I X'="" S ^DGCR(399,DA(1),"R","B",$E(X,1,30),DA)=""
- S X=$P(DIKZ(0),U,4)
- I X'="" S ^DGCR(399,DA(1),"R","AC",$E(X,1,30),DA)=""
+ I X'="" S ^DGCR(399,DA(1),"CV","B",$E(X,1,30),DA)=""
  G:'$D(DIKLM) A Q:$D(DISET)
 END G ^IBXX27
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX27.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX27.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX27.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX27 ; COMPILED XREF FOR FILE #399.047 ; 07/22/08
+IBXX27 ; COMPILED XREF FOR FILE #399.048 ; 12/27/07
  ; 
  S DA=0
@@ -5,9 +5,9 @@
  I $D(DISET) K DIKLM S:DIKM1=1 DIKLM=1 G @DIKM1
 0 ;
-A S DA=$O(^DGCR(399,DA(1),"CV",DA)) I DA'>0 S DA=0 G END
+A S DA=$O(^DGCR(399,DA(1),"OT",DA)) I DA'>0 S DA=0 G END
 1 ;
- S DIKZ(0)=$G(^DGCR(399,DA(1),"CV",DA,0))
+ S DIKZ(0)=$G(^DGCR(399,DA(1),"OT",DA,0))
  S X=$P(DIKZ(0),U,1)
- I X'="" S ^DGCR(399,DA(1),"CV","B",$E(X,1,30),DA)=""
+ I X'="" S ^DGCR(399,DA(1),"OT","B",$E(X,1,30),DA)=""
  G:'$D(DIKLM) A Q:$D(DISET)
 END G ^IBXX28
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX28.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX28.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX28.m	(revision 636)
@@ -1,13 +1,16 @@
-IBXX28 ; COMPILED XREF FOR FILE #399.048 ; 07/22/08
+IBXX28 ; COMPILED XREF FOR FILE #399.30416 ; 12/27/07
  ; 
- S DA=0
+ S DA(2)=DA(1) S DA(1)=0 S DA=0
 A1 ;
- I $D(DISET) K DIKLM S:DIKM1=1 DIKLM=1 G @DIKM1
-0 ;
-A S DA=$O(^DGCR(399,DA(1),"OT",DA)) I DA'>0 S DA=0 G END
+ I $D(DISET) K DIKLM S:DIKM1=2 DIKLM=1 S:DIKM1'=2&'$G(DIKPUSH(2)) DIKPUSH(2)=1,DA(2)=DA(1),DA(1)=DA,DA=0 G @DIKM1
+A S DA(1)=$O(^DGCR(399,DA(2),"CP",DA(1))) I DA(1)'>0 S DA(1)=0 G END
 1 ;
- S DIKZ(0)=$G(^DGCR(399,DA(1),"OT",DA,0))
+B S DA=$O(^DGCR(399,DA(2),"CP",DA(1),"MOD",DA)) I DA'>0 S DA=0 Q:DIKM1=1  G A
+2 ;
+ S DIKZ(0)=$G(^DGCR(399,DA(2),"CP",DA(1),"MOD",DA,0))
  S X=$P(DIKZ(0),U,1)
- I X'="" S ^DGCR(399,DA(1),"OT","B",$E(X,1,30),DA)=""
- G:'$D(DIKLM) A Q:$D(DISET)
-END G ^IBXX29
+ I X'="" S ^DGCR(399,DA(2),"CP",DA(1),"MOD","B",$E(X,1,30),DA)=""
+ S X=$P(DIKZ(0),U,2)
+ I X'="" S ^DGCR(399,DA(2),"CP",DA(1),"MOD","C",$E(X,1,30),DA)=""
+ G:'$D(DIKLM) B Q:$D(DISET)
+END Q
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX3.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX3.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX3.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX3 ; COMPILED XREF FOR FILE #399.0222 ; 07/22/08
+IBXX3 ; COMPILED XREF FOR FILE #399.0222 ; 12/27/07
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX4.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX4.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX4.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX4 ; COMPILED XREF FOR FILE #399.0304 ; 07/22/08
+IBXX4 ; COMPILED XREF FOR FILE #399.0304 ; 12/27/07
  ; 
  S DA=0
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX5.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX5.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX5.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX5 ; COMPILED XREF FOR FILE #399.041 ; 07/22/08
+IBXX5 ; COMPILED XREF FOR FILE #399.041 ; 12/27/07
  ; 
  S DA=0
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX6.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX6.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX6.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX6 ; COMPILED XREF FOR FILE #399.042 ; 07/22/08
+IBXX6 ; COMPILED XREF FOR FILE #399.042 ; 12/27/07
  ; 
  S DA=0
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX7.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX7.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX7.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX7 ; COMPILED XREF FOR FILE #399.043 ; 07/22/08
+IBXX7 ; COMPILED XREF FOR FILE #399.043 ; 12/27/07
  ; 
  S DA=0
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX8.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX8.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX8.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX8 ; COMPILED XREF FOR FILE #399.044 ; 07/22/08
+IBXX8 ; COMPILED XREF FOR FILE #399.044 ; 12/27/07
  ; 
  S DA=0
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX9.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX9.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBXX9.m	(revision 636)
@@ -1,3 +1,3 @@
-IBXX9 ; COMPILED XREF FOR FILE #399.045 ; 07/22/08
+IBXX9 ; COMPILED XREF FOR FILE #399.045 ; 12/27/07
  ; 
  S DA=0
Index: FOIAVistA/tag/r/INTEGRATED_PATIENT_FUNDS-PRPF-PFXIP/PRPFED2.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_PATIENT_FUNDS-PRPF-PFXIP/PRPFED2.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_PATIENT_FUNDS-PRPF-PFXIP/PRPFED2.m	(revision 636)
@@ -1,4 +1,4 @@
 PRPFED2 ;ALTOONA/CTB  MISCELLANEOUS EDIT OPTIONS ;11/22/96  4:38 PM
-V ;;3.0;PATIENT FUNDS;**6,18**;JUNE 1, 1989;Build 9
+V ;;3.0;PATIENT FUNDS;**6**;JUNE 1, 1989
 LONGREG S DIC(0)="AEQLM",DIC=470,DLAYGO=470 D ^DIC G:Y<0 OUT^PRPFED S DA=+Y,DIE=DIC,DR="[PRPF LONG REGISTRATION]" D ^DIE G LONGREG
  ;
@@ -9,5 +9,5 @@
 ADDRESS S DIC=470,DIC(0)="AEMN" D ^DIC G:Y<0 OUT^PRPFED S DA=+Y,DIE="^DPT(",DR=".111;.112;.113;.114;.115;.116;.131;.132" D ^DIE G ADDRESS
  ;
-GUARDIAN S DIC=2,DIC(0)="AEMN" D ^DIC G:Y<0 OUT^PRPFED S DA=+Y,DIE="^DPT(",DR=".291;.2912;.2914;.2915;.2916;.2917;.2918;.2919;.292;.2922;.2923;.2924;.2925;.2926;.2927;.2928;.2929" D ^DIE G GUARDIAN
+GUARDIAN S DIC=470,DIC(0)="AEMN" D ^DIC G:Y<0 OUT^PRPFED S DA=+Y,DIE="^DPT(",DR=".291;.2912;.2914;.2915;.2916;.2917;.2918;.2919;.292;.2922;.2923;.2924;.2925;.2926;.2927;.2928;.2929" D ^DIE G GUARDIAN
  ;
 INACT ;EDIT ACCOUNT STATUS
Index: FOIAVistA/tag/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/XGKB.m
===================================================================
--- FOIAVistA/trunk/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/XGKB.m	(revision 631)
+++ FOIAVistA/tag/r/KERNEL-XU-A4A7-USC-XG-XLF-XNOA-XPD-XQ-XVIR-ZI-ZOSF-ZOSV-ZT-ZU-%Z-XIP--XQAB--XUC--XUR--ZIN--ZTED/XGKB.m	(revision 636)
@@ -1,4 +1,4 @@
-XGKB ;SFISC/VYD - Read with Escape Processing ;10/23/2006
- ;;8.0;KERNEL;**34,244,365**;Jul 10, 1995;Build 5
+XGKB ;SFISC/VYD - Read with Escape Processing ;07/10/2002  10:58
+ ;;8.0;KERNEL;**34,244**;Jul 10, 1995
  ;;Special thanks to MELDRUM.KEVIN@ISC-SLC.VA.GOV
  ;
@@ -8,5 +8,5 @@
  I %OS["MSM" U $I:(0::::64) D:'$D(^XUTL("XGKB")) MSM^XGKB1
  I %OS["DTM" U $I:(VT=1:ESCAPE=1) D:'$D(^XUTL("XGKB")) DTM^XGKB1
- I %OS["OpenM" U $I:(:"CT") D:'$D(^XUTL("XGKB")) DTM^XGKB1 S:$G(XGTRM)="*" XGTRM=""
+ I %OS["OpenM" U $I:(:"CT") D:'$D(^XUTL("XGKB")) DTM^XGKB1
  I %OS["GT.M" U $I:(ESCAPE) D:'$D(^XUTL("XGKB")) GTM^XGKB1
  I $G(XGTRM)="*" X ^%ZOSF("TRMON") I 1 ;turn all on
